Pagina 1 di 2 12 UltimoUltimo
Mostra risultati da 1 a 10 di 20

Discussione: Problema compilazione dvdstyler

  1. #1
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,803
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Problema compilazione dvdstyler



    Visto che con altri software non riesco a fare quello che mi serve, ritorno sul problema con discussione dedicata.

    Quando compilo dvdstyler da makepkg si blocca qui:
    Codice:
    Only registered members can view code.
    Cercando su google ho letto questo:

    libwx_gtk2u_media was deliberately removed from libwxgtk2.8-0 in version
    Quindi ho trovato questo -> https://www.archlinux.org/packages/m...2-wxgtk/files/

    Se non ho capito male quindi la libreria è stata spostata in lib32-wxgtk che diventa una dipendenza, però a sua volta richiede gconf come dipendenza.
    Però quando provo ad installare gconf (sempre da makepkg) si blocca qui:

    Codice:
    Only registered members can view code.
    Rimane lì bloccato finché non interrompo a mano.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  2. # ADS
    Google Adsense Circuito Adsense
    Data registrazione
    da sempre
    Messaggi
    molti
     
  3. #2
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: Problema compilazione dvdstyler

    Citazione Originariamente scritto da Andy86 Vedi messaggio


    Visto che con altri software non riesco a fare quello che mi serve, ritorno sul problema con discussione dedicata.

    Quando compilo dvdstyler da makepkg si blocca qui:
    Ma questo non ti piace? https://aur.archlinux.org/packages/d...er/?setlang=it
    Se no, non c'è un bel tar.gz con il binario? Secondo me ti risparmi un sacco di fatica. Anche estrarre un .deb di ubuntu va bene

    Quindi ho trovato questo -> https://www.archlinux.org/packages/m...2-wxgtk/files/

    Se non ho capito male quindi la libreria è stata spostata in lib32-wxgtk che diventa una dipendenza
    Non mi sembra corretto. Lib32-* sono pacchetti di compatibilità, devi trovare quello nativo a 64bit. Anche perché dubito che gcc vada a linkare contro librerie a 32bit quando stai facendo un pacchetto esplicitamente a 64.

    Rispondi citando Rispondi citando Il mio PC

  4. #3
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,803
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Problema compilazione dvdstyler



    Quello di AUR ha dipendenze diverse, tipo il wxgtk a 2.9 anziché 2.8, se le salto da errori diversi.

    Il tar.gz non è compilato, ora provo con il .deb, però preferivo passare da pacman, giusto per non avere file orfani in giro per il sistema.

    Edit:

    Anzi, il tar.gz era di wxsvg (però era sul sito di dvdstyler).

    Ho provato a estrarre il .deb, ma chiaramente cerca le librerie di gnome.

    E se bastasse trovare quella libreria, visto che è stata rimossa dal pacchetto originale, ed installarla in qualche modo, dove la si potrebbe trovare?
    Ultima modifica di Andy86; 10-10-13 alle 14: 17.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  5. #4
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: Problema compilazione dvdstyler

    Ma su aur non si risolve le dipendenze da solo?
    Il deb basta che lo estrai in una cartella e te lo metti nella home (se il programma è fatto bene), installare da sorgenti lascia molto più schifo in giro.

    Rispondi citando Rispondi citando Il mio PC

  6. #5
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,803
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Problema compilazione dvdstyler

    Intanto su chakra c'è ccr e non aur. Infatti io intendevo rispetto a quello ccr.

    Poi c'è makepkg che con il parametro -s prova a installare le dipendenze con pacman, però pacman non cerca nei ccr.

    E poi se prendo cose da aur che sono più aggiornate di quelle del ccr o del repo pacman si lamenta:

    attenzione: gobject-introspection: la versione installata (1.36.0-1) è più recente di quella presente in core (1.34.2-1)
    attenzione: xine-ui: la versione installata (0.99.7-2) è più recente di quella presente in apps (0.99.7-1)


    solo per es.

    Per quanto riguarda il .deb forse ti sei perso la modifica al mio post precedente.
    Comunque se metto il .deb nella home poi devo impostare tutto a mano e mi sembra di tornare a windows.

    Se estraggo direttamente nella root invece mi ritrovo il programma già funzionante da terminale e magari anche le icone già pronte nel menù applicazioni (se sono contenute nel .deb)
    Ultima modifica di Andy86; 10-10-13 alle 14: 48.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  7. #6
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    Nel mondo degli svarioni
    Messaggi
    1,403
    Grazie dati 
    149
    Grazie ricevuti 
    471
    Ringraziato in
    421 post

    Riferimento: Problema compilazione dvdstyler

    Citazione Originariamente scritto da Andy86 Vedi messaggio

    Ho provato a estrarre il .deb, ma chiaramente cerca le librerie di gnome.
    Beh è normale, anche gconf fa parte di gnome

    E se bastasse trovare quella libreria, visto che è stata rimossa dal pacchetto originale, ed installarla in qualche modo, dove la si potrebbe trovare?
    packages.ubuntu o packages.debian, non mi ricordo se com od org.
    [QUOTE=Andy86;177570]Intanto su chakra c'è ccr e non aur. Infatti io intendevo rispetto a quello ccr.

    Poi c'è makepkg che con il parametro -s prova a installare le dipendenze con pacman, però pacman non cerca nei ccr.
    E poi se prendo cose da aur che sono più aggiornate di quelle del ccr o del repo pacman si lamenta:
    Ecco perché odio le distro derivate, se ne inventano sempre una nuova per non far funzionare le cose.

    Comunque se metto il .deb nella home poi devo impostare tutto a mano e mi sembra di tornare a windows.
    Impostare a mano cosa?

    Se estraggo direttamente nella root invece mi ritrovo il programma già funzionante da terminale e magari anche le icone già pronte nel menù applicazioni (se sono contenute nel .deb)
    Va che quando crei un lanciatore da kde, se riempi correttamente tutti i campi te lo trovi anche nel menù... Per il terminale, basta che ti modifichi .bashrc. Se lo installi in / fai sicuramente prima, ma voglio vederti a rimuoverlo

    Rispondi citando Rispondi citando Il mio PC

  8. #7
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,803
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Problema compilazione dvdstyler

    Ho trovato questo: https://bugs.launchpad.net/ubuntu/+s....8/+bug/632984, ma non capisco quale sia la fix released.

    Con ubuntu package mi ha trovato la 2.8.0. Ora stavo guardando dove copiarla e ho visto che c'è già quella che si chiama con mmedia, con due emme.

    Possibile che il famoso bug sia un errore di battura? se facessi un ln -s per vedere se capisce rischio conflitti?

    ---

    Ho provato con il link, però se il processo di compilazione cerca le librerie con wx-config --libs non la vede lo stesso... ci sarà un sistema per istruire wx-config?
    Ultima modifica di Andy86; 10-10-13 alle 16: 09.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  9. #8
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Località
    /dev/null
    Messaggi
    830
    Grazie dati 
    132
    Grazie ricevuti 
    426
    Ringraziato in
    341 post

    Riferimento: Problema compilazione dvdstyler

    Ora non posso stare tanto, ma comunque su Arch Linux tempo fa la via più comoda per usare Aur era Yaourt ;). Tool che si trova nei repo francesi di Arch.

    In pratica è identico a Pacman, ma lavora anche con Aur.

    Rispondi citando Rispondi citando

  10. #9
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,803
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Problema compilazione dvdstyler

    Bellalì... ho scoperto che per chakra c'è il comando ccr che fa la stessa cosa, però chiaramente l'errore è lo stesso.

    Volevo vedere se riuscivo a downgradare il wxgtk-2.8.12.1-3-x86_64.pkg.tar.xz, ma non trovo repo con la versione vecchia.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

  11. #10
    Data registrazione
    Jan 2010
    Sesso
    Uomo
    Messaggi
    17,013
    Grazie dati 
    4,803
    Grazie ricevuti 
    2,588
    Ringraziato in
    2,187 post

    Riferimento: Problema compilazione dvdstyler



    Allora, dopo vari tentativi sono riuscito ad installare la 2.9 di wxwidgets scaricata da AUR e il primo problema si è risolto, ora trova la libreria che cercava, spero di non essermi portato dietro pacchetti inutili durante i vari tentativi, comunque son passati tutti da pacman tranne la wxsvg che ho compilato quella del sito di dvdstyler.

    Magari però fosse andata a buon fine la compilazione, invece no, si blocca con questo errore:

    Codice:
    Only registered members can view code.
    Strano, perché sembra un errore del codice, eppure ci sono diversi pacchetti che si bloccano in compilazione, certe dipendenze di wxwidgets ho dovuto scaricare il binario da arch (da installare con pacman) per quelle nel ccr non si compilavano, stranissimo.

    Ho provato a prendere l'ultima stable dal sito dvdstyler, metterla nella cartella del PKGBUILD, modificare quest'ultimo correggendo la versione in modo che puntasse al file scaricato manualmente, forzare l'installazione con --skipchecksums; ma è rispuntato lo stesso errore.

    Avevo anche provato a far girare sotto wine il porting per windows () ma va in crash e non si riesce a lavorare.

    2mandvd è pieno di bug, dopo che ti fa diventare matto per creare il menù non riesce nemmeno a compilare il dvd.
    Qdvdauthor non capisco perché non si possa installare sulle qt4.
    Devo riprovare con bombonodvd, non mi ricordo che problemi avevo.
    «Nessuna quantità di esperimenti potrà dimostrare che ho ragione;
    un unico esperimento potrà dimostrare che ho sbagliato.
    » (A. Einstein)

    Rispondi citando Rispondi citando Il mio PC

Segnalibri

Regole di scrittura

  • Tu non puoi inviare nuove discussioni
  • Tu non puoi inviare risposte
  • Tu non puoi inviare allegati
  • Tu non puoi modificare i tuoi messaggi
  •  
Cookies:direttiva 2009/136/CE (E-Privacy)

Il sito utilizza cookies propri e di terze parti per maggiori informazioni faq - Termini di servizio - Cookies
Il forum non puo' funzionare senza l'uso dei cookies pertanto l'uso della community è vincolato dall'accettazione degli stessi, nel caso contrario siete pregati di lasciare la community, proseguendo la navigazione acconsenti all’uso dei cookie